#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(0); cin.tie(0);
    int n,k,index,i;
    cin >> n >> k;
    int karte[n];
    for(i = 0; i < n; i++){
        cin >> karte[i];
        if (karte[i] == k){
            index = i;
        }
    }
    if (index == n - 1){
        cout << karte[0];
    }
    else{
        cout << karte[index + 1];
    }
    return 0;
}